#!/bin/bash 
mv /etc/X11/xdg/Thunar/uca.xml /etc/X11/xdg/Thunar/uca.xml.urpm
#Make alterations to the currently installed service menu file uca.xml using xmlstarlet
/usr/bin/xml ed -s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.remove" 	-s "/actions/action[last()]" -t elem -n name -v "SPEC dependency log for removal" 	-s "/actions/action[last()]" -t elem -n name -v "Fjern anvendte afhængigheder" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rmvpkg %f" 	-s "/actions/action[last()]" -t elem -n description -v "SPEC dependency log for removal" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*" 	-s "/actions/action[last()]" -t elem -n name -v "Create tar.xz archive without git+svn info" 	-s "/actions/action[last()]" -t elem -n name -v "Byg tar.xz arkiv uden git+svn information" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* +hold -e tar Jcf %n.tar.xz --exclude .svn  --exclude .git %n" 	-s "/actions/action[last()]" -t elem -n description -v "Create tar.xz archive without git+svn info" 	-s "/actions/action[last()]" -t elem -n directories -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.bz2" 	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from bz2" 	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra bz2" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* +hold -e bunzip2 '%f' &amp;&amp; xz -9 %d/\`basename '%f' .bz2\`" 	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from bz2" 	-s "/actions/action[last()]" -t elem -n other-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.gz" 	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from gz" 	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra gz" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* +hold -e gunzip '%f' &amp;&amp; xz -9 %d/\`basename '%f' .gz\`" 	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from gz" 	-s "/actions/action[last()]" -t elem -n other-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.zip" 	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from zip" 	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra zip" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "tmpunz=\`mktemp -dq\` &amp;&amp; unzip '%f' -d \$tmpunz &amp;&amp; pushd \$tmpunz &amp;&amp; tar Jcf %d/\`basename '%f' .zip\`.tar.xz * &amp;&amp; popd &amp;&amp; rm -rf \$tmpunz" 	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from zip" 	-s "/actions/action[last()]" -t elem -n other-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.tgz" 	-s "/actions/action[last()]" -t elem -n name -v "Create xz archive from tgz" 	-s "/actions/action[last()]" -t elem -n name -v "Byg xz arkiv fra tgz" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* +hold -e gunzip '%f' &amp;&amp; xz -9 %d/\`basename '%f' .tgz\`.tar" 	-s "/actions/action[last()]" -t elem -n description -v "Create xz archive from tgz" 	-s "/actions/action[last()]" -t elem -n other-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.src.rpm" 	-s "/actions/action[last()]" -t elem -n name -v "Raw extract of src.rpm" 	-s "/actions/action[last()]" -t elem -n name -v "Udpak src.rpm uden sti-info" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "rpm2cpio %f | cpio -idmv" 	-s "/actions/action[last()]" -t elem -n description -v "Raw extract of src.rpm" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.rpm" 	-s "/actions/action[last()]" -t elem -n name -v "RPM install" 	-s "/actions/action[last()]" -t elem -n name -v "Installér RPM" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm  -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -T \"Provide root password to install RPM\" -e su -c \"xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e apt-get install %F\"" 	-s "/actions/action[last()]" -t elem -n description -v "RPM install" 	-s "/actions/action[last()]" -t elem -n other-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.src.rpm" 	-s "/actions/action[last()]" -t elem -n name -v "SRPM install for build" 	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten og specfil fra SRPM" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpm -ivh %f" 	-s "/actions/action[last()]" -t elem -n description -v "SRPM install for build" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Install dependencies" 	-s "/actions/action[last()]" -t elem -n name -v "Installér afhængigheder" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e addpkg %f" 	-s "/actions/action[last()]" -t elem -n description -v "Install dependencies" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Prepare only" 	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bp %f" 	-s "/actions/action[last()]" -t elem -n description -v "Prepare only" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Compile only" 	-s "/actions/action[last()]" -t elem -n name -v "Kun kompilering" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bc --short-circuit %f" 	-s "/actions/action[last()]" -t elem -n description -v "Compile only" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Prepare and Compile" 	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten, kompilér" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bc %f" 	-s "/actions/action[last()]" -t elem -n description -v "Prepare and Compile" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Prepare, Compile and Install" 	-s "/actions/action[last()]" -t elem -n name -v "Klargør kildeteksten, kompilér og installér" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bi %f" 	-s "/actions/action[last()]" -t elem -n description -v "Prepare, Compile and Install" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Install only" 	-s "/actions/action[last()]" -t elem -n name -v "Kun installering" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bi --short-circuit %f" 	-s "/actions/action[last()]" -t elem -n description -v "Install only" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "List check" 	-s "/actions/action[last()]" -t elem -n name -v "Gennemgå install sektion" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bl %f" 	-s "/actions/action[last()]" -t elem -n description -v "List check" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Build binary" 	-s "/actions/action[last()]" -t elem -n name -v "Byg RPM pakke" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bb %f" 	-s "/actions/action[last()]" -t elem -n description -v "Build binary" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Build SRPM" 	-s "/actions/action[last()]" -t elem -n name -v "Byg SRPM pakke" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -bs %f" 	-s "/actions/action[last()]" -t elem -n description -v "Build SRPM" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Build all, create build logfile" 	-s "/actions/action[last()]" -t elem -n name -v "Byg alt, med logfil" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v 'xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e "rpmbuild -ba %f 2>&amp;1 | tee %f.log"' 	-s "/actions/action[last()]" -t elem -n description -v "Build all, create build logfile" 	-s "/actions/action[last()]" -t elem -n text-files -v "" 	-s "/actions[last()]" -t elem -n action -v "" 	-s "/actions/action[last()]" -t elem -n icon -v "rpm" 	-s "/actions/action[last()]" -t elem -n patterns -v "*.spec" 	-s "/actions/action[last()]" -t elem -n name -v "Build All" 	-s "/actions/action[last()]" -t elem -n name -v "Byg alt" 	-s "/actions/action[last()]/name[last()]" -t attr -n xml:lang -v "da" 	-s "/actions/action[last()]" -t elem -n command -v "xterm -hold +sb -geometry 120x35 -bg gray28 -fg grey94 -fn *-fixed-*-*-*-20-* -e rpmbuild -ba %f" 	-s "/actions/action[last()]" -t elem -n description -v "Build All" 	-s "/actions/action[last()]" -t elem -n text-files -v "" /etc/X11/xdg/Thunar/uca.xml.urpm > /etc/X11/xdg/Thunar/uca.xml.tmp 
/usr/bin/xml fo /etc/X11/xdg/Thunar/uca.xml.tmp > /etc/X11/xdg/Thunar/uca.xml
rm -rf /etc/X11/xdg/Thunar/uca.xml.urpm
